package com.adealink.weparty.order.manager

import com.adealink.frame.base.Rlt
import com.adealink.frame.frame.IBaseFrame
import com.adealink.weparty.module.order.data.OrderDiscountInfo
import com.adealink.weparty.module.order.listener.IDiscountListener

interface IDiscountManager : IBaseFrame<IDiscountListener> {

    fun queryDiscountInfo()
    suspend fun suspendQueryDiscountInfo(): Rlt<Any>

    fun getDiscountInfo(): OrderDiscountInfo?
}